#ifndef LUT_H
#define LUT_H

#include <QObject>
#include <QGLWidget>
#include <QtGui>
#include <QtOpenGL>
#include <stdio.h>
#include "iostream"

class Lut: public QObject
{
        Q_OBJECT
public:

    Lut();

    Lut(const char *l);
    Lut(QVector<unsigned int> colors);
    float *getColor(float valor);
  //  void setColor(int indice, float cR, float  cG, float  cB, float transparencia);
    void rellenarLutFichero(char *nFLUT);
    void obtenerNumeroLut();


private:

    char *nombreLut;
    float matriz[256][4];

};

#endif // LUT_H
